PHP Manual
Prev |  | Next

# mysqli_debug

(PHP 5)

mysqli_debug

(no version information, might be only in CVS)

mysqli->debug() -- Performs debugging operations

## Description

Procedural style:

bool mysqli_debug ( string message )

Object oriented style (method):

class mysqli {
bool debug ( string message )
}

Performs debugging operations using the Fred Fish debugging library.

## Parameters

`message`

  A string representing the debugging operation to perform

## Return Values

Returns `TRUE`.

## Notes

> Note: To use the mysqli_debug() function you must complile the MySQL client library to support debugging.

## Examples

Example 1. Generating a Trace File

`<?php /* Create a trace file in '/tmp/client.trace' on the local (client) machine: */ mysqli_debug("d:t:0,/tmp/client.trace"); ?>`

## See Also

mysqli_dump_debug_info()
mysqli_report()

Prev | Home | Next
mysqli_data_seek | Up | mysqli_disable_reads_from_master